%define	name	virt-viewer
%define	version	0.4.2
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Virtual Machine Viewer
License:    GPLv2+
Group:      Graphical desktop/GNOME
URL:        http://virt-manager.org/
Source:     http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  libvirt-devel
BuildRequires:	libgtk-vnc-devel
BuildRequires:	xen-devel
BuildRequires:	libglade2-devel
BuildRequires:  intltool
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
Virtual Machine Viewer (virt-viewer) is a lightweight interface for
interacting with the graphical display of a virtualized guest OS. It uses
GTK-VNC and libvirt to look up the VNC server details associated with the
guest. It is intended as a replacement for the traditional vncviewer
client, since the latter does not support SSL/TLS encryption of x509
certificate authentication.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}  

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/virt-viewer/ui/virt-viewer-about.xml
%{_datadir}/virt-viewer/ui/virt-viewer-auth.xml
%{_datadir}/virt-viewer/ui/virt-viewer.xml


%changelog

* Sat Jan 28 2012 tv <tv> 0.4.2-1.mga2
+ Revision: 202471
- new release

* Wed Sep 07 2011 tv <tv> 0.4.1-1.mga2
+ Revision: 140185
- new release
- further fix file list
- fix file list
- new release

* Tue Mar 15 2011 saispo <saispo> 0.3.1-1.mga1
+ Revision: 71975
- Add macro for language
- Add language files
- Add intltool BuildRequires
- imported package virt-viewer

